diff -PurN libmrss/Makefile libmrss/Makefile
--- libmrss/Makefile	2012-11-16 11:43:15.897245706 +0000
+++ libmrss/Makefile	2012-11-16 11:08:32.814327626 +0000
@@ -1,48 +1,9 @@
-# Ports collection makefile for:	libmrss
-# Date created:			Jan 2, 2007
-# Whom:				Cheng-Lung Sung <clsung@FreeBSD.org>
-#
-# $FreeBSD: head/textproc/libmrss/Makefile 301539 2012-07-26 05:40:22Z bapt $
-#
+# Created by: Cheng-Lung Sung <clsung@FreeBSD.org>
+# $FreeBSD$
 
-PORTNAME=	libmrss
-PORTVERSION=	0.19.2
-PORTREVISION=	3
-CATEGORIES=	textproc
-MASTER_SITES=	http://www.autistici.org/bakunin/libmrss/
+MASTERDIR=	${.CURDIR}/../libmrss
 
-MAINTAINER=	clsung@FreeBSD.org
-COMMENT=	A C library for parsing, writing, and creating RSS
+SLAVE_WITHOUT_PHP=	YES
 
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl \
-		nxml.18:${PORTSDIR}/textproc/libnxml
 
-OPTIONS=	PHPMRSS "support to PHP" on
-
-GNU_CONFIGURE=	yes
-CFLAGS+=	-I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib
-
-USE_LDCONFIG=	yes
-USE_PKGCONFIG=	yes
-WANT_GNOME=	yes
-
-pre-patch:
-		${gnomehack_PRE_PATCH}
-
-.include <bsd.port.pre.mk>
-
-.if defined(WITH_PHPMRSS)
-BROKEN=		does not compile
-USE_PHP=	yes
-USE_PHP_BUILD=	yes
-USE_AUTOTOOLS+=	autoconf:env
-post-install:
-		@(cd ${WRKSRC}/phpmrss; ${SETENV} ${SCRIPTS_ENV} ${LOCALBASE}/bin/phpize)
-		@(cd ${WRKSRC}/phpmrss; ${SETENV} ${SCRIPTS_ENV} CC=${CC} ./configure; ${MAKE} install)
-PLIST_SUB+=	PHPMRSS=""
-.else
-PLIST_SUB+=	PHPMRSS="@comment "
-.endif
-
-.include <bsd.port.post.mk>
+.include "${MASTERDIR}/Makefile"
diff -PurN libmrss/distinfo libmrss/distinfo
--- libmrss/distinfo	2012-11-16 11:43:15.915244083 +0000
+++ libmrss/distinfo	1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-SHA256 (libmrss-0.19.2.tar.gz) = 071416adcae5c1a9317a4a313f2deb34667e3cc2be4487fb3076528ce45b210b
-SIZE (libmrss-0.19.2.tar.gz) = 375238
diff -PurN libmrss/pkg-descr libmrss/pkg-descr
--- libmrss/pkg-descr	2012-11-16 11:43:15.941246550 +0000
+++ libmrss/pkg-descr	1970-01-01 00:00:00.000000000 +0000
@@ -1,3 +0,0 @@
-mRss is a C library for parsing, writing and creating RSS files or streams.
-
-WWW:    http://www2.autistici.org/bakunin/libmrss/doc/
diff -PurN libmrss/pkg-plist libmrss/pkg-plist
--- libmrss/pkg-plist	2012-11-16 11:43:15.868571112 +0000
+++ libmrss/pkg-plist	1970-01-01 00:00:00.000000000 +0000
@@ -1,10 +0,0 @@
-@comment $FreeBSD: head/textproc/libmrss/pkg-plist 300897 2012-07-14 14:29:18Z beat $
-include/mrss.h
-lib/libmrss.a
-lib/libmrss.la
-lib/libmrss.so
-lib/libmrss.so.19
-libdata/pkgconfig/mrss.pc
-%%PHPMRSS%%lib/php/%%PHP_EXT_DIR%%/mrss.so
-%%PHPMRSS%%@dirrmtry lib/php/%%PHP_EXT_DIR%%
-%%PHPMRSS%%@dirrmtry lib/php
